Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.aggregation
Class AggregationStatistics

    java.lang.Object
      rice.p2p.aggregation.AggregationStatistics

    public class AggregationStatistics

extends java.lang.Object

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Field Summary
`int[]` | `aggregateLifetimeHisto` DESCRIBE THE FIELD
`int` | `criticalAggregates` DESCRIBE THE FIELD
`long` | `granularity` DESCRIBE THE FIELD
`long` | `liveObjectsSize` DESCRIBE THE FIELD
`int` | `numAggregatesTotal` DESCRIBE THE FIELD
`int` | `numObjectsAlive` DESCRIBE THE FIELD
`int` | `numObjectsTotal` DESCRIBE THE FIELD
`int` | `numPointerArrays` DESCRIBE THE FIELD
`int[]` | `objectLifetimeHisto` DESCRIBE THE FIELD
`int` | `orphanedAggregates` DESCRIBE THE FIELD
`long` | `time` DESCRIBE THE FIELD
`long` | `totalObjectsSize` DESCRIBE THE FIELD

Constructor Summary
`AggregationStatistics(int histoLength, long granularityArg, Environment env)` Constructor for AggregationStatistics.

Method Summary
`void` | `dump(Logger logger)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### granularity

    public final long granularity

  DESCRIBE THE FIELD

### numObjectsTotal

    public int numObjectsTotal

  DESCRIBE THE FIELD

### numObjectsAlive

    public int numObjectsAlive

  DESCRIBE THE FIELD

### numAggregatesTotal

    public int numAggregatesTotal

  DESCRIBE THE FIELD

### numPointerArrays

    public int numPointerArrays

  DESCRIBE THE FIELD

### criticalAggregates

    public int criticalAggregates

  DESCRIBE THE FIELD

### orphanedAggregates

    public int orphanedAggregates

  DESCRIBE THE FIELD

### objectLifetimeHisto

    public int[] objectLifetimeHisto

  DESCRIBE THE FIELD

### aggregateLifetimeHisto

    public int[] aggregateLifetimeHisto

  DESCRIBE THE FIELD

### totalObjectsSize

    public long totalObjectsSize

  DESCRIBE THE FIELD

### liveObjectsSize

    public long liveObjectsSize

  DESCRIBE THE FIELD

### time

    public long time

  DESCRIBE THE FIELD

Constructor Detail

### AggregationStatistics

    public AggregationStatistics(int histoLength,
                                 long granularityArg,
                                 Environment env)

  Constructor for AggregationStatistics.

  Parameters:
    `histoLength` - DESCRIBE THE PARAMETER
    `granularityArg` - DESCRIBE THE PARAMETER
    `env` - DESCRIBE THE PARAMETER

Method Detail

### dump

    public void dump(Logger logger)

  DESCRIBE THE METHOD

  Parameters:
    `logger` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.